[id]
type=id

[handle]
label=ニックネーム
type=text
attr=start
size=50
maxlength=50
end_attr=true
rule=start
required=yes
entry_only_1st=yes
checkuniq=yes
maxlength=20
minlength=2
end_rule=true

[login_id]
label=ログインID
type=text
attr=start
size=50
maxlength=50
end_attr=true
rule=start
required=yes
entry_only_1st=yes
alphanumsymbol=yes
maxlength=30
minlength=6
checkuniq=yes
end_rule=true

[old_password]
label=旧パスワード
type=password
attr=start
size=30
maxlength=50
end_attr=true
rule=start
alphanumeric=yes
maxlength=30
minlength=8
checkmd5pass=password
end_rule=true

[password]
label=パスワード
type=password
attr=start
size=30
maxlength=50
end_attr=true
rule=start
alphanumeric=yes
checkmd5key=old_password
required=only_1st
maxlength=30
minlength=8
end_rule=true

[password_check]
label=パスワード（確認）
type=password
attr=start
size=30
maxlength=50
end_attr=true
rule=start
alphanumeric=yes
required=only_1st
maxlength=30
minlength=8
compare=password
end_rule=true

[email]
label=email
type=text
attr=start
size=50
maxlength=50
end_attr=true
rule=start
email=yes
required=yes
checkuniq=yes
end_rule=true

[family_name]
label=姓
type=text
attr=start
size=50
maxlength=50
end_attr=true
rule=start
required=yes
maxlength=20
minlength=2
end_rule=true

[given_name]
label=名
type=text
attr=start
size=50
maxlength=50
end_attr=true
rule=start
required=yes
maxlength=20
minlength=2
end_rule=true

[zipcode]
label=郵便番号
type=text
attr=start
size=8
maxlength=8
end_attr=true
rule=start
zipcode=yes
required=yes
maxlength=8
minlength=8
end_rule=true

[gender]
label=性別
type=radio
default_list=start
gender=1
end_default_list=true
list=start
1=男
2=女
end_list=true

[birthday]
label=誕生日
type=date
opt=start
language=ja
minYear=1930
maxYear=2011
format=Y年m月d日
end_opt=true
default_list=start
Y=1970
m=1
d=1
end_default_list=true

[acceptmail]
label=情報メール
type=advcheckbox
values=start
0=受け取らない
1=受け取る
end_values=true
default_list=start
1=受け取る
end_default_list=true

[entry_datetime]
label=登録日時
type=date
opt=start
language=ja
minYear=2006
maxYear=2050
format=Y年m月d日 H時i分
end_opt=true
force_value_list=start
date=now
auto_only_1st=yes
end_force_value_list=true

[update_datetime]
label=更新日時
type=date
opt=start
language=ja
minYear=2006
maxYear=2050
format=Y年m月d日 H時i分
end_opt=true
force_value_list=start
date=now
end_force_value_list=true

[ip_address]
label=ip_address
type=hidden
force_value_list=start
_SERVER=REMOTE_ADDR
end_force_value_list=true

[status_flag]
label=status_flag
type=hidden
value=1

[level]
label=レベル
type=select
value=start
1=normal
10=admin
end_value=true
default_list=start
level=1
end_default_list=true

